regina::BlockedSFSTriple Class Reference
Standard Triangulations and Subcomplexes

Represents a blocked sequence of three Seifert fibred spaces joined along connecting tori. More...

`#include <subcomplex/blockedsfstriple.h>`

Inheritance diagram for regina::BlockedSFSTriple:

## Public Member Functions

| ~BlockedSFSTriple ()
| Destroys this structure and its constituent components. More...
const SatRegion & | end (int which) const
| Returns details of the requested end region, as described in the class notes above. More...
const SatRegion & | centre () const
| Returns details of the central saturated region, as described in the class notes above. More...
const Matrix2 & | matchingReln (int which) const
| Returns the matrix describing how the given end region is joined to the central region. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
virtual AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static BlockedSFSTriple * | isBlockedSFSTriple (Triangulation< 3 > *tri)
| Determines if the given triangulation is a blocked sequence of three Seifert fibred spaces, as described in the class notes above. More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Detailed Description

Represents a blocked sequence of three Seifert fibred spaces joined along connecting tori.

This is a particular type of triangulation of a graph manifold, formed from three saturated regions whose various torus boundaries are identified as described below. Optional layerings may be placed between torus boundaries to allow for more interesting relationships between the respective boundary curves of each region. For more detail on saturated regions and their constituent saturated blocks, see the SatRegion class; for more detail on layerings, see the Layering class.

The three saturated regions must be joined together as illustrated below. Each large box represents a saturated region, and the small tunnels show where the region boundaries are joined (possibly via layerings).

        /----------------\   /------------------\   /----------------\
        |                |   |                  |   |                |
        |  End region 0   ---   Central region   ---   End region 1  |
        |                 ---                    ---                 |
        |                |   |                  |   |                |
        ----------------/   ------------------/   ----------------/

Each of the end regions must have precisely one boundary component formed from just one saturated annulus. The central region may have two boundary components formed from one saturated annulus each. Alternatively, it may have one boundary formed from two saturated annuli, where this boundary is pinched together so that each annulus becomes a two-sided torus joined to one of the end regions. None of the boundary components (or the two-sided tori discussed above) may be twisted (i.e., they must be tori, not Klein bottles).

The ways in which the various region boundaries are identified are specified by 2-by-2 matrices, which express curves representing the fibres and base orbifold of each end region in terms of the central region (see the page on Notation for Seifert fibred spaces for terminology).

Specifically, consider the matrix M that describes the joining of the central region and the first end region (marked in the diagram above as end region 0). Suppose that f and o are directed curves on the central region boundary and f0 and o0 are directed curves on the first end region boundary, where f and f0 represent the fibres of each region and o and o0 represent the base orbifolds. Then the boundaries are joined according to the following relation:

        [f0]       [f ]
        [  ] = M * [  ]
        [o0]       [o ]

Likewise, let M' be the matrix describing how the central region and the second end region (marked in the diagram as end region 1) are joined. Let f' and o' be directed curves on the other central region boundary and f1 and o1 be directed curves on the second end region boundary, where f' and f1 represent fibres and o and o1 represent the base orbifolds. Then the boundaries are joined according to the relation:

        [f1]        [f']
        [  ] = M' * [  ]
        [o1]        [o']

If a layering is present between two regions, then the corresponding boundary curves are not identified directly. In this case, the relevant matrix M or M' shows how the layering relates the curves on each region boundary.

Note that the routines writeName() and writeTeXName() do not offer enough information to uniquely identify the triangulation, since this essentially requires 2-dimensional assemblings of saturated blocks. For full details, writeTextLong() may be used instead.

The optional StandardTriangulation routine manifold() is implemented for this class, but homology() is not.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/blockedsfstriple.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).